package com.railway.business.catenary.service;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbGlkg;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import java.util.List;
/**
* 隔离开关检查表
* @author author
* @date 2021/10/13
*/
public interface IBusJcbGlkgService{

    /**
    * 新增
    */
    int create(BusJcbGlkg busJcbGlkg);

    /**
     * 提交
     * @param busJcbGlkg
     * @return 提交结果
     */
    int submit(BusJcbGlkg busJcbGlkg);

    /**
     * 退回
     * @param busJcbGlkg
     * @return 退回结果
     */
    int reject(BusJcbGlkg busJcbGlkg);

    /**
     * 确认
     * @param busJcbGlkg
     * @return 确认结果
     */
    int confirm(BusJcbGlkg busJcbGlkg);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusJcbGlkg busJcbGlkg);

    /**
    * 获取单个
    */
    BusJcbGlkg getInfo(String id);

    /**
     * 查看生成的检测表信息
     * @param id
     * @return
     */
    BusJcbGlkg getJcebInfo(String id);

    /**
    * 查询列表
    */
    List<BusJcbGlkg> getList(BusJcbGlkg busJcbGlkg);

    /**
     * 获取上次检测值
     * @param busJcbGlkg
     * @return
     */
    BusJcbGlkg getLastOne(BusJcbGlkg busJcbGlkg);

    /**
     * 导出Excel
     * @param query 查询条件
     * @return 文件路径
     */
    String exportExcel(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
